Component({
  properties: {
    show:{
      type: Boolean,
      observer: function (newVal) {
        this.setData({ show: newVal });
      }
    },
    theam:{
      type: String,
      value:'redContent',
      observer: function (newVal) {
        this.setData({ theam: newVal });
      }
    },
    prizeInfo:{
      type: Object,
      observer: function (newVal) {
        this.setData({ prizeInfo: newVal });
      }
    }
  },
  data: {
    show:false,
    theam:'',
    prizeInfo:{}
  },
  methods: {
    // 关闭弹窗
    closeTip(e){
      this.close(e.detail)
    },
    // 确定
    closePopup(){
      this.close(false)
    },
    close(data){
      this.triggerEvent("close", {
        status:data,
        type:'notice'
      });
    },
    // 填写地址
    inputAddress(){
      this.triggerEvent("inputAddress", {id:this.data.prizeInfo.winId});
    },
    // 再来一次
    tryAgain(){
      this.triggerEvent("tryAgain");
    }
  }
})